Subject: Bug#87:

From: Mike Gabriel <[email-masked]>
Date: Sun, 16 Dec 2012 00:02:48 +0100

rtag #87 pending
thanks

Hi Reinhard, hi Orion,

On Sa 15 Dez 2012 14:24:34 CET Reinhard Tartler wrote:

> On Fri, Dec 14, 2012 at 11:11 PM, Mike Gabriel
> <[email-masked]> wrote:
>> Hi Orion, hi Reinhard,
>>
>> On Fr 14 Dez 2012 19:18:37 CET Orion Poplawski wrote:
>>
>>> [...]
>>
>>
>>> The attached patch I believe fixes both of these issues, and hopefully
>>> fixes the parallel make issue as well.  It's been building fine for me now.
>>>
>>
>> Reinhard, can you test the patch attached to this bug on your 32 core -j20
>> builder machine?
>
> The patch itself is not minimal. However, I think it touches the
> critical part. Based on Orions proposed patch, I have edit
> debian/patches/031_nx-X11_parallel-make.full.patch, which I think is
> broken.
>
> The first build seems to succeed, but I want to do a few additional
> tests before pushing to git.
>
> Thanks Orion for pushing in the right direction, I think your approach
> is correct.

I have added a closure for this issue to the changelog:
http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=f2011a718adfab50d050abd282cfc04c8c534f75

The issue itself got fixed by this commit:
http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=d123923a501758cace37fc2138feff5751b0a25b

Good work you guys!!!

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb